# import qt stuff
import PyQt6.QtCore

def print_ver():
    import platform
    from importlib.metadata import version, PackageNotFoundError
    tzv = ""
    try:
        tzv = version("themezed")
    except PackageNotFoundError:
        import tomllib
        with open("./pyproject.toml","rb") as f:
            tzv = tomllib.load(f)["tool"]["poetry"]["version"]

    print("Theme-ZED - Version {}\n\nRunning on Python ({}) {}, using\n\tPyQt\t{}".format(
        tzv,
        platform.python_implementation(),platform.python_version(),
        PyQt6.QtCore.PYQT_VERSION_STR
    ))

print_ver()